Name:         tuxcards
Summary:      Manage Notes within a Hierarchical Tree
Version:      2.2.1
Release:      %mkrel 1
License:      GPL
Group:        Office
Source:       tuxcards-%{version}.tar.xz
Source1:      %name.desktop
URL:          http://www.tuxcards.de/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Tuxcards provides a hierarchical notebook similar to the "CueCards"
program. With it, all kinds of notes and ideas can be managed and
sorted within a tree structure.

%prep
%setup -q -n %{name}

%build
qmake
%make

%install
rm -rf $RPM_BUILD_ROOT;

# Strange buildsystem tuxcards have - make install does nothing!
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/tuxcards
install -m 755 -s tuxcards $RPM_BUILD_ROOT/usr/bin
install -m 644 src/gui/cactusbar/flowers/*.gif $RPM_BUILD_ROOT/usr/share/tuxcards
install -m 644 src/gui/cactusbar/flowers/cactus.egg $RPM_BUILD_ROOT/usr/share/tuxcards

install -d %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/pclinuxos-%{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Tuxcards
Comment=%{Summary}
Exec=%{_bindir}/tuxcards
Icon=more_applications_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Office-Accessories;
EOF

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHORS INSTALL COPYING 
%{_bindir}/tuxcards
%{_datadir}/tuxcards
%{_datadir}/applications/pclinuxos-%{name}.desktop

%changelog
* Wed Nov 25 2010 MBantz <martin dot bantz at gmail dot com> 2.1.1-1pclos2010
- Updated to 2.2.1


